<?php
//--------------------------------------------------------------------
// *** Topic Path ***
// LAST UPDATE: 2009/05/30
// Version    : 1.21
// Copyright  : nJOY
// http://i-njoy.net/
//--------------------------------------------------------------------
//
// topicpath.php
//
//--------------------------------------------------------------------

$blogn_mod_topicpath_bread = array("c" => "c=", "m" => "m=");
if ($blogn_mod_alist_ini["cl_redirect"]) $blogn_mod_topicpath_bread["c"] = "cl=";
if ($blogn_mod_alist_ini["cl_redirect"]) $blogn_mod_topicpath_bread["m"] = "ml=";

$blogn_mod_topicpath_link = blogn_mod_topicpath_output($blogn_user, $blogn_view_mode, $blogn_mod_topicpath_bread);
$blogn_skin = str_replace("{TOPICPATH}", $blogn_mod_topicpath_link, $blogn_skin);

// パンくずリスト出力
function blogn_mod_topicpath_output($user, $view, $bread) {
	$inifile = BLOGN_MODDIR.'topicpath/config.cgi';
	$inis = file($inifile);
	list($home, $sep) = explode(",", $inis[0]);
	$link = '<a href="'.BLOGN_HOMELINK.'">'.$home.'</a> '.$sep;
	$str = "";
	switch ($view) {
		case "e":
			$id = is_numeric($_GET["e"]) ? $_GET["e"] : "";
			if ($id) {
				$log = blogn_mod_db_log_load_for_entory($user, $id);
				if ($log[0]) {
					list($c1, $c2) = explode("|", $log[1]["category"]);
					$category1 = blogn_mod_db_category1_load();
					$category2 = blogn_mod_db_category2_load();
					$cat1 = $category1[1][$c1]["name"];
					if ($c2) $cat2 = $category2[1][$c2]["name"];
					$str = $link.' <a href="'.BLOGN_HOMELINK.'index.php?'.$bread["c"].$c1.'-">'.$cat1.'</a> ';
					if ($c2) {
						$str .= $sep.' <a href="'.BLOGN_HOMELINK.'index.php?'.$bread["c"].$c1.'-'.$c2.'">'.$cat2.'</a> ';
					}
					$str .= $sep.' '.$log[1]["title"];
				} else {
					$str .= '<a href="'.BLOGN_HOMELINK.'">'.$home.'</a>';	
				}
			}
			break;
		case "c":
			$id = htmlspecialchars(strip_tags($_GET["c"]));
			list($c1, $c2) = explode("-", $id);
			$category1 = blogn_mod_db_category1_load();
			$category2 = blogn_mod_db_category2_load();
			$cat1 = $category1[1][$c1]["name"];
			if ($c2) $cat2 = $category2[1][$c2]["name"];
			if (!$c2) {
				$str = $link.' '.$cat1;
			}else{
				$str = $link.' <a href="'.BLOGN_HOMELINK.'index.php?'.$bread["c"].$c1.'-">'.$cat1.'</a> '.$sep.' '.$cat2;
			}
			break;
		case "cl":
			$id = htmlspecialchars(strip_tags($_GET["cl"]));
			list($c1, $c2) = explode("-", $id);
			$category1 = blogn_mod_db_category1_load();
			$category2 = blogn_mod_db_category2_load();
			$cat1 = $category1[1][$c1]["name"];
			if ($c2) $cat2 = $category2[1][$c2]["name"];
			if (!$c2) {
				$str = $link.' '.$cat1.'';
			}else{
				$str = $link.' <a href="'.BLOGN_HOMELINK.'index.php?'.$bread["c"].$c1.'-">'.$cat1.'</a> '.$sep.' '.$cat2;
			}
			break;
		case "m":
			$id = is_numeric($_GET["m"]) ? $_GET["m"] : "";
			if (preg_match("/^\d{6}$/", $id)) {
				$archive = substr($id, 0, 4).'年'.substr($id, 4, 2).'月';
				$str = $link.' '.$archive;
			}
			break;
		case "ml":
			$id = is_numeric($_GET["ml"]) ? $_GET["ml"] : "";
			if (preg_match("/^\d{6}$/", $id)) {
				$archive = substr($id, 0, 4).'年'.substr($id, 4, 2).'月';
				$str = $link.' '.$archive;
			}
			break;
		case "d":
			$id = is_numeric($_GET["d"]) ? $_GET["d"] : "";
			if (preg_match("/^\d{8}$/", $id)) {
				$archive = '<a href="'.BLOGN_HOMELINK.'index.php?'.$bread["m"].substr($id, 0, 6).'">'.substr($id, 0, 4).'年'.substr($id, 4, 2).'月</a>';
				$str = $link.' '.$archive.' '.$sep.' '.substr($id, 6, 2).'日';
			}
			break;
		case "p":
			$id = is_numeric($_GET["p"]) ? $_GET["p"] : "";
			if ($id) {
				$user = blogn_mod_db_user_profile_load($id);
				$str = $link.' '.$user["name"].'のプロフィール';
			}
			break;
		case "u":
			$id = is_numeric($_GET["u"]) ? $_GET["u"] : "";
			if ($id) {
				$user = blogn_mod_db_user_profile_load($id);
				$str = $link.' '.$user["name"].'の書いた記事';
			}
			break;
		case "ul":
			$id = is_numeric($_GET["ul"]) ? $_GET["ul"] : "";
			if ($id) {
				$user = blogn_mod_db_user_profile_load($id);
				$str = $link.' '.$user["name"].'の書いた記事';
			}
			break;
		case "s":
			$id = htmlspecialchars(strip_tags($_GET["s"]));
			if (BLOGN_CHARSET == "0") {
				$id = blogn_mbConv($id, 2, 4);
			} elseif (BLOGN_CHARSET == "1") {
				$id = blogn_mbConv($id, 1, 4);
			}
			$str = $link.' 「'.$id.'」の検索結果';
			break;
		default:
			$str = $home;
			break;
	}
	return $str;
}
?>